# currentQuestion
Liest die Frage die aktuell beantwortet wird aus `d120.de/fragen` aus.  
Nützlich für Stream Overlay.

## Benutzung
Als Browser Quelle im Streaming Programm der Wahl einbinden und Größe
einstellen.  
Fragen Box wächst nach oben auf maximale Größe und schneidet bei erreichen
den Text ab.  
Fragen Box erscheint erst nach erfolgreichem fetchen der aktellen frage in
`getQuestion()`.

### Empfohlene OBS Einstellungen
Bei Größe: 1920x1080

| Einstellung                      | Wert |
| -------------------------------- | ---- |
| Width                            | 1920 |
| Height                           | 200  |
| Shutdown source when not visible | true |

#### Empfohlenes custom CSS für OBS
```css
body {
    background-color: rgba(0, 0, 0, 0);
    margin: 0px auto;
    overflow: hidden;
    /* size
        default-wert: 100%
        modifiziert die allgemeine Größe.
        je höher desto größer
    */
    size: 100%;
    /* font
        default-wert: sans;
        ändert die Schriftart.
        Achtung:
        Eine andere Schriftart kann zur Änderung der Größe führen.
    */
    font: sans;
}
```

